Documentation API Reference Tokenomics
API Markets Market Price

Market Price

Get real-time price data for a single market or batch-fetch prices for multiple markets.

Single Market Price

GET /api/markets/:id/price

Path Parameters

ParameterTypeRequiredDescription
idintegerrequiredMarket ID

Response

Response 200 OK
{
  "success": true,
  "data": {
    "market_id": 142,
    "yes_price": 0.62,
    "no_price": 0.38,
    "market_type": "yesno",
    "volume": 45230.50,
    "volume_24h": 1250.00,
    "liquidity": 8420.00,
    "spread": 0.02,
    "best_bid": 0.61,
    "best_ask": 0.63,
    "change": {
      "1h": 0.01,
      "1d": 0.05,
      "1w": -0.03,
      "1m": 0.12
    },
    "status": "active",
    "last_updated": "2026-02-26T14:30:00.000Z"
  }
}

Batch Prices

GET /api/markets/prices?ids=1,2,3

Fetch prices for up to 50 markets in a single request. More efficient than individual calls.

Query Parameters

ParameterTypeRequiredDescription
idsstringrequiredComma-separated market IDs (max 50)

Response

Response 200 OK
{
  "success": true,
  "data": {
    "142": {
      "market_id": 142,
      "yes_price": 0.62,
      "no_price": 0.38,
      "market_type": "yesno",
      "volume": 45230.50,
      "volume_24h": 1250.00,
      "liquidity": 8420.00,
      "spread": 0.02,
      "price_change_1h": 0.01,
      "price_change_1d": 0.05,
      "price_change_1w": -0.03,
      "status": "active",
      "last_updated": "2026-02-26T14:30:00.000Z"
    },
    "143": { ... },
    "144": { ... }
  }
}

Three-Way Markets

For markets with market_type: "threeway", an additional draw_price field is included. All three prices sum to approximately 1.0:

{
  "yes_price": 0.40,
  "no_price": 0.35,
  "draw_price": 0.25,
  "market_type": "threeway"
}

Example

# Single market price
curl https://oddsforge.org/api/markets/142/price

# Batch prices
curl "https://oddsforge.org/api/markets/prices?ids=142,143,144,145"